Bug 205495 - gnome-bluetooth crashs on startup when no bluetooth device is found
gnome-bluetooth crashs on startup when no bluetooth device is found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 14:51 EDT by David Nielsen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.7.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 06:10:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2006-09-06 14:51:29 EDT
Description of problem:
Running gnome-bluetooth on a machine without a bluetooth handler I get the
following:

/usr/lib64/python2.4/site-packages/gnomebt/manager.py:142: DeprecationWarning:
gnome.ui.AppBar constructor takes exactly 3 arguments, but calling old gtk.HBox
constructor for compatibility reasons.
  self.statusbar = gnome.ui.AppBar (True, True)
Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/gnomebt/manager.py", line 274, in ?
    BTManager ().main ()
  File "/usr/lib64/python2.4/site-packages/gnomebt/manager.py", line 85, in __init__
    if not self.btctl.is_initialised():
gobject.GError: Can't get device id of hci0

Maybe a check would be nice and a clean abort if hciX is not found?

Version-Release number of selected component (if applicable):
gnome-bluetooth-0.7.0-10.1
gnome-bluetooth-libs-0.7.0-10.1
bluez-libs-3.0-3

How reproducible:
100%

Steps to Reproduce:
1. run gnome-bluetooth on any machine without bluetooth hardware
  
Actual results:
BOOM

Expected results:
Nice dialog kindly telling me that I don't have bluetooth support

Additional info:
AMD64 X2, da_DK.UTF-8

Note You need to log in before you can comment on or make changes to this bug.